<?php
/**
* @version $Id: mod_smf_last.php 
* @package Joomla + SMF
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
/**
* Copyright (C) 2006-2007 AlikonWeb. All rights reserved. 
* version 1.1  03.02.06 
* version 1.2  25.02.07
*/
// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );


$smf_path 	 = $params->def( 'smfpath', "..\\smf\\" );
$smf_recent_type = intval($params->def( 'recentype', 0 ));
$smf_short       = intval($params->def( 'short', 1 )); 
$smf_lenght      = intval($params->def( 'lenght', 20 )); 
$smf_num         = intval($params->def( 'number', 5 )); 
$smf_byuser      = intval($params->def( 'byuser', 0 ));
$smf_date        = intval($params->def( 'date', 0 ));


require_once($smf_path.'SSI.php'); 
if ($smf_recent_type){
   $out=ssi_recentPosts($smf_num, null,  'noecho'); flush(); 
} else {
   $out=ssi_recentTopics($smf_num, null,  'noecho'); flush();
    
}

 echo '<ul class="latestnews'.$moduleclass_sfx.'">';
 
 
	foreach ($out as $post) {
		//--
		$linea ='<li class="latestnews'.$moduleclass_sfx.'">';
		if ($smf_byuser){
                   $linea.='['.$post["poster"]["name"].'] ';
                }    
                if ($smf_short){
                   $linea.='<a href="'. $post["href"]. '">'. $post["short_subject"]. '</a>';
                }else {
                   $linea.='<a href="'. $post["href"]. '">'. substr($post["subject"],0,$smf_lenght). '</a>'; 
                }    
                if ($smf_date){
                   $linea.='<br>'. $post["time"];
                }    
                $linea.='</li>';
		//--
		echo $linea;
		
	}		
	echo '</ul>';
	

	

?>